summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-03-29 21:05:54 +0200
committerMichał Górny <mgorny@gentoo.org>2018-06-02 12:47:09 +0200
commitda2f96d0b25ce88035f1442c965ac64c95994bd8 (patch)
treec20a1135c3d302498884eedb405201e75d694e58 /eclass/cmake-utils.eclass
parentsys-firmware/intel-microcode: Fix suggested path to release notes (diff)
downloadgentoo-da2f96d0b25ce88035f1442c965ac64c95994bd8.tar.gz
gentoo-da2f96d0b25ce88035f1442c965ac64c95994bd8.tar.bz2
gentoo-da2f96d0b25ce88035f1442c965ac64c95994bd8.zip
cmake-utils.eclass: Override CMAKE_INSTALL_DOCDIR in EAPI 7
Pass the correct docdir for GNUInstallDirs in EAPIs starting with 7. We do not need add it retroactively to avoid breaking something accidentally.
Diffstat (limited to 'eclass/cmake-utils.eclass')
-rw-r--r--eclass/cmake-utils.eclass6
1 files changed, 6 insertions, 0 deletions
diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index 558ff3a1ef9b..e64502b3b9b0 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -614,6 +614,12 @@ cmake-utils_src_configure() {
_EOF_
[[ "${NOCOLOR}" = true || "${NOCOLOR}" = yes ]] && echo 'SET (CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}"
+ if [[ ${EAPI} != [56] ]]; then
+ cat >> "${common_config}" <<- _EOF_ || die
+ SET (CMAKE_INSTALL_DOCDIR "${EPREFIX}/usr/share/doc/${PF}" CACHE PATH "")
+ _EOF_
+ fi
+
# Wipe the default optimization flags out of CMake
if [[ ${CMAKE_BUILD_TYPE} != Gentoo && ${EAPI} != 5 ]]; then
cat >> ${common_config} <<- _EOF_ || die